/**
 * @file volfog_effect.h
 */

#ifndef _VOLFOG_EFFECT
#define _VOLFOG_EFFECT

#include "vector.h"

#include "weather_effect.h"

class VolFogEffect : public WeatherEffect
{
  public:
    VolFogEffect(const TiXmlElement* root = NULL);
    virtual ~VolFogEffect();

    virtual void loadParams(const TiXmlElement* root);

    virtual bool init();

    virtual bool activate();
    virtual bool deactivate();

    virtual void draw() const;
    virtual void tick(float dt);

    inline void startFogColor(float r, float g, float b) { this->colorVector = Vector(r, g, b); }
    inline void setFogAltitude(float altitude) { this->fogAltitude = altitude; }


  private:
    void setFogColor(int v);
    GLfloat                 fogAltitude;
    Vector                  colorVector;
};


#endif  /* _VOLFOG_EFFECT */
